System.Design 2.0.0.0 System.Object System.Web.UI.Design.IDataSourceSchema

The class is used by custom control designer components to list the structural elements of an XML document at design time. Use the XmlDocumentSchema class to populate lists of document elements to allow users to select document elements in UI features at design time.

Represents the structure, or schema, of an . This class cannot be inherited.

- Constructor
  2.0.0.0

  Use the parameter to specify either a specific node within the XML document to examine, or specify the empty string ("") to examine the complete document.

  Creates an instance of the class using a specified and an XPath string.

  An instance of an object.
  An XPath string identifying the child nodes of the document root.
- Method
  2.0.0.0
  System.Web.UI.Design.IDataSourceViewSchema[] To be added.

  Gets an array containing information about each child node starting at the node identified by the parameter in the constructor, or each child node starting at the document root if the parameter is empty.

  An array of objects.